=== debian/changelog ===
kdiskmark (2.1.1-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * Rename upstream tarball to .orig.
  * Change source/format to quilt.
  * Rules: add override_dh_strip: dh_strip --no-automatic-dbgsym.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sat, 06 Feb 2021 16:56:35 -0500

kdiskmark (2.1.1-3) groovy; urgency=medium

  * No-change rebuild for groovy
  
 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Thu, 28 Jan 2021 12:41:32 +0300
 

kdiskmark (2.1.1-2) bionic; urgency=medium

  * No-change rebuild for bionic
  
 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Thu, 28 Jan 2021 12:38:16 +0300
 

kdiskmark (2.1.1-1) focal; urgency=medium

  * Fix directory selection
  
 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Thu, 28 Jan 2021 12:33:40 +0300

kdiskmark (2.1.0-3) groovy; urgency=medium

  * No-change rebuild for groovy.
  
 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Thu, 31 Dec 2020 14:45:18 +0300
 

kdiskmark (2.1.0-2) bionic; urgency=medium

  * No-change rebuild for bionic.

 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Thu, 31 Dec 2020 14:31:05 +0300
 

kdiskmark (2.1.0-1) focal; urgency=medium

  * Spanish (Mexico), Slovak, Polish, Ukrainian localization
  * Allow selecting the UI language: Help > Language
  * Prevent adding the same directory multiple times
  * Hide status bar
  * Fix directory selection dialog
  * Fix benchmark won't run

 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Thu, 31 Dec 2020 14:31:05 +0300
 

kdiskmark (2.0.0-build3) groovy; urgency=medium

  * No-change rebuild for groovy.

 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Sat, 24 Oct 2020 12:14:56 +0300
 

kdiskmark (2.0.0-build2) bionic; urgency=medium

  * No-change rebuild for bionic.

 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Sat, 24 Oct 2020 12:13:08 +0300
 

kdiskmark (2.0.0) focal; urgency=medium

  * Performance profiles.
  * Column with bars of mixed tests (mixed profile).
  * Possibility to specify a test-directory manually.
  * French translation.
  * Italian translation.
  * Portuguese (Brazilian) translation.
  * Chinese (Simplified) translation.
  * Removed 20-px icon.

 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Sat, 24 Oct 2020 11:19:19 +0300
 

kdiskmark (1.6.2~groovy) groovy; urgency=medium

  * No-change rebuild for groovy.

 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Fri, 23 Oct 2020 16:38:24 +0300
 

kdiskmark (1.6.2~bionic) bionic; urgency=medium

  * No-change rebuild try for bionic.

 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Fri, 23 Oct 2020 15:47:12 +0300

kdiskmark (1.6.2) focal; urgency=medium

  * Scan all non-readonly devices in /dev

 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Fri, 18 Sep 2020 12:05:03 +0300

kdiskmark (1.6.1) focal; urgency=medium

  * Czech localization
  * Encrypted devices detection
  * Loops are separated in the app instead of fio
  * Fix indents in the text report

 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Wed, 16 Sep 2020 12:12:47 +0300
 

kdiskmark (1.6.0) focal; urgency=medium

  * Initial Release.

 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Mon, 07 Sep 2020 14:01:56 +0300
