=== debian/control ===
Source: kdiskmark
Section: devel
Priority: optional
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Dmitry Ilyich Sidorov <jonmagon@gmail.com>
Build-Depends: debhelper-compat (= 11), cmake, extra-cmake-modules, qttools5-dev
Standards-Version: 4.4.1
Homepage: https://github.com/JonMagon/KDiskMark
#Vcs-Browser: https://salsa.debian.org/debian/kdiskmark
#Vcs-Git: https://salsa.debian.org/debian/kdiskmark.git

Package: kdiskmark
Architecture: any
Depends: fio (>= 3.1), ${shlibs:Depends}, ${misc:Depends}
Description: A simple open source disk benchmark tool for Linux distros
