=== debian/changelog ===
kdiskmark (2.2.0-3~mx21+1) mx; urgency=medium

  * Repackage of upstream release for MX-21, no changes.

 -- SwampRabbit <maintainer@mepiscommunity.org>  Mon, 29 Mar 2021 15:41:07 -0400

kdiskmark (2.2.0-3~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Mon, 22 Mar 2021 12:10:48 -0400

kdiskmark (2.2.0-1) focal; urgency=medium

  * The ability to drop pagecache before doing a test job (using K5Auth)
  
 -- Dmitry Ilyich Sidorov <jonmagon@gmail.com>  Fri, 19 Feb 2021 21:21:12 +0300
