=== debian/changelog ===
kdiskmark (2.2.0+git20210604-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 11 Jul 2021 14:53:03 -0400
