=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Dmitry Ilyich Sidorov <jonmagon@gmail.com>
-Build-Depends: debhelper-compat (= 11), cmake, extra-cmake-modules, qttools5-dev
+Build-Depends: debhelper-compat (= 11), cmake, extra-cmake-modules, qttools5-dev, libkf5auth-dev
 Standards-Version: 4.4.1
 Homepage: https://github.com/JonMagon/KDiskMark
 #Vcs-Browser: https://salsa.debian.org/debian/kdiskmark
