## kdiskmark 2.2.1

=== debian/changelog ===
kdiskmark (2.2.1-1~mx21+1) mx; urgency=medium

  * Initial packaging for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 22 Jul 2021 10:43:04 -0400

kdiskmark (2.2.0+git20210604-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream GitHub master for MX-19.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 11 Jul 2021 14:53:03 -0400
