=== debian/changelog ===
kdiskmark (2.3.0+git20211102-1~mx21+2) mx; urgency=medium

  * Initial packaging of upstream GitHub master for MX-21.
  * Update package description with more info.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Thu, 02 Dec 2021 14:20:46 -0500
