=== debian/control ===
--- 
+++ 
@@ -12,4 +12,11 @@
 Package: kdiskmark
 Architecture: any
 Depends: fio (>= 3.1), ${shlibs:Depends}, ${misc:Depends}
-Description: A simple open source disk benchmark tool for Linux distros
+Description: A simple open source disk benchmark tool
+ KDiskMark is an HDD and SSD benchmark tool with a very friendly graphical user
+  interface. 
+ .
+ Features:
+  - Configurable block size, queues, and threads count for each test
+  - Many languages support
+  - Report generation
