## kdiskmark 3.1.3%2Bds

=== debian/changelog ===
kdiskmark (3.1.3+ds-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:10:46 +1100

kdiskmark (3.1.3+ds-4build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:54:11 +0000

kdiskmark (3.1.3+ds-4) unstable; urgency=medium

  * d/control: update short description. (Closes: #1052266)
  * d/clean: added, fix source after build problem. (Closes: #1046455)

 -- Gürkan Myczko <tar@debian.org>  Wed, 24 Jan 2024 12:41:28 +0100

kdiskmark (3.1.3+ds-3) unstable; urgency=medium

  * d/control: add fio to Depends.

 -- Gürkan Myczko <tar@debian.org>  Fri, 16 Jun 2023 13:00:54 +0200

kdiskmark (3.1.3+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * d/watch: updated.

 -- Gürkan Myczko <tar@debian.org>  Wed, 17 May 2023 15:36:12 +0200

kdiskmark (3.1.3+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #973684)

 -- Gürkan Myczko <tar@debian.org>  Tue, 09 May 2023 19:50:34 +0200
