=== debian/changelog ===
kdiskmark (3.1.3+ds-5~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 26 Jul 2025 10:28:49 -0700

kdiskmark (3.1.3+ds-5) unstable; urgency=medium

  * Bump standards version to 4.7.0.

 -- Alex Myczko <tar@debian.org>  Tue, 16 Jul 2024 14:33:31 +0000
