=== debian/changelog ===
kdiskmark (3.1.4-1) UNRELEASED; urgency=medium

  * Initial release. (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- pavroo <pavroo@onet.eu>  Mon, 19 Jun 2023 20:24:00 +0200
