=== debian/control ===
Source: kdiskmark
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Dmitry Ilyich Sidorov <jonmagon@gmail.com>
Uploaders: Alex Myczko <tar@debian.org>
Rules-Requires-Root: no
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libaio-dev,
               libpolkit-qt5-1-dev,
               qttools5-dev
Standards-Version: 4.7.0
Homepage: https://github.com/JonMagon/KDiskMark
Vcs-Browser: https://salsa.debian.org/debian/kdiskmark
Vcs-Git: https://salsa.debian.org/debian/kdiskmark.git

Package: kdiskmark
Architecture: any
Depends: fio, ${misc:Depends}, ${shlibs:Depends}
Description: simple disk benchmark tool
 This is an HDD and SSD benchmark tool with a very friendly
 graphical user interface. KDiskMark with its presets and powerful
 GUI calls Flexible I/O Tester and handles the output to provide a
 comprehensive benchmark result that's easy to view and interpret.
