## kdiskmark 3.2.0+ds

=== debian/changelog ===
kdiskmark (3.2.0+ds-1) unstable; urgency=medium

  * New upstream version.
  * Bump standard version to 4.7.2.
  * d/copyright:
    - bump years.
    - drop data/icons/flags/* part.
  * d/control:
    - Rules-Requires-Root dropped.
    - qt5 to qt6, add libpolkit-qt6-1-dev to build-depends.
  * d/watch: update to version 5.

 -- Alex Myczko <tar@debian.org>  Wed, 10 Dec 2025 13:17:56 +0100
