=== debian/control ===
Source: kdiskmark
Section: utils
Priority: optional
Maintainer: Dmitry Ilyich Sidorov <jonmagon@gmail.com>
Uploaders: Alex Myczko <tar@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 extra-cmake-modules,
 libaio-dev,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
 libpolkit-qt6-1-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/JonMagon/KDiskMark
Vcs-Browser: https://salsa.debian.org/debian/kdiskmark
Vcs-Git: https://salsa.debian.org/debian/kdiskmark.git

Package: kdiskmark
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 fio,
Description: simple disk benchmark tool
 This is an HDD and SSD benchmark tool with a very friendly
 graphical user interface. KDiskMark with its presets and powerful
 GUI calls Flexible I/O Tester and handles the output to provide an
 easy to view and interpret comprehensive benchmark result.
