=== debian/watch ===
Version: 5

# GitHub hosted projects.
Template: Github
Owner: JonMagon
Project: KDiskMark
